/*
 * exe.h
 *
 * Created: 2016-05-13 14:26:56
 *  Author: dsosnowski
 */ 


#ifndef EXE_H_
#define EXE_H_

void ExeInit(void);
void ExeProc(void);
char ExeActionGet(void);
void ExeActionClear(void);
char ExeInputGet(char channel);

char ExeOutputGet(char channel);
void ExeOutputSet(char channel);	
void ExeOutputOff(char channel);	
void ExeOutputToggle(char channel);	

void ExeDelaySet(char channel, uint16_t delay);
void ExeDelayStateSet(char channel, char state);
uint16_t ExeDelayGet(char channel);
char ExeDelayStateGet(char channel);
char ExeDelayCheck(char channel);
	
	
#define EXE_NUM_OF_OUTPUTS			2
#define EXE_NUM_OF_INPUTS			4
	
#define EXE_INPUT1_MASK				1
#define EXE_INPUT2_MASK				2
#define EXE_ALARM1_MASK				1
#define EXE_ALARM2_MASK				2
#define EXE_SWITCH1_MASK			4
#define EXE_SWITCH2_MASK			8
	
	
#endif /* EXE_H_ */